Bug 524277 - Review Request: dbacl - Digramic Bayesian text classifier
Review Request: dbacl - Digramic Bayesian text classifier
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-09-18 11:49 EDT by Christopher X.S. Zee
Modified: 2010-02-20 16:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-20 16:29:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher X.S. Zee 2009-09-18 11:49:16 EDT
SPEC URL: http://xiashing.fedorapeople.org/SPECS/dbacl.spec
SRPM URL: http://xiashing.fedorapeople.org/SRPMS/dbacl-1.9-1.fc11.src.rpm
Description: dbacl is a general purpose digramic Bayesian text classifier. It can
learn text documents you provide, and then compare new input with the learned categories. It can be used for spam filtering, or within your own shell scripts. Sometimes it plays chess.
Comment 1 Jason Tibbitts 2009-09-18 13:49:57 EDT
Fails to build for me in rawhide:

gcc -funsigned-char -Wall -pedantic  -O3 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -o bayesol  bayesol.o fram.o risk-lexer.o risk-parser.o probs.o util.o jenkins.o jenkins2.o mtherr.o igam.o gamma.o const.o polevl.o isnan.o ndtr.o  -lm
risk-lexer.o: In function `yylex':
/builddir/build/BUILD/dbacl-1.9/src/lex.yy.c:941: undefined reference to `yywrap'
collect2: ld returned 1 exit status
make[3]: *** [bayesol] Error 1

Please clear the whiteboard when you have a package that builds properly.  I suggest providing a link to a successful koji scratch build in your reviews.
Comment 2 Christopher X.S. Zee 2009-09-18 23:09:56 EDT
Hi Jason,

New SPEC: http://xiashing.fedorapeople.org/SPECS/dbacl.spec
New SRPM: http://xiashing.fedorapeople.org/SRPMS/dbacl-1.9-2.fc11.src.rpm

It failed on rawhide with BuildrootError: https://koji.fedoraproject.org/koji/taskinfo?taskID=1690850

But it was successful on a dist-f11 build: https://koji.fedoraproject.org/koji/taskinfo?taskID=1690860

What's the cause of the BuildrootError? I assume it's not entirely necessary to build on rawhide: https://www.redhat.com/archives/fedora-devel-list/2007-August/msg01792.html
Comment 3 Martin Gieseking 2009-09-25 04:39:24 EDT
$ rpmlint /var/lib/mock/fedora-11-x86_64/result/dbacl-*
dbacl.x86_64: W: incoherent-version-in-changelog 1.9-2.f11 ['1.9-2.fc11', '1.9-2']
dbacl.x86_64: E: standard-dir-owned-by-package /usr/share/man/man1
dbacl.x86_64: E: non-executable-script /usr/share/dbacl/doc/prop.pl 0644 /usr/bin/perl
dbacl.x86_64: E: standard-dir-owned-by-package /usr/share/man
3 packages and 0 specfiles checked; 3 errors, 1 warnings.


- according to src/dbcl.h, the license tag must be GPLv2+

- The interactive mode of mailinspect is currently disabled because of the following missing BRs: ncurses-devel, readline-devel, slang-devel. However, the sources don't compile without further patching since they seem to rely on an older version of libslang.

- use macros in the %files section:
  %{_bindir}/*
  %{_mandir}/man1/*
     
- the documentation is quite extensive, so it's probably a good idea to put it in a -doc subpackage  

- I'm not sure whether the testsuite must be added. If so, it should probably go in a separate package.

- add the files AUTHORS, ChangeLog, COPYING, NEWS, README and THANKS to %doc

- remove .f11 from the version numbers in the changelog entries
Comment 4 Jason Tibbitts 2010-01-25 18:10:47 EST
It's been four months since comment 3 with no response.  I'll close this soon if there's no further progress.

Note You need to log in before you can comment on or make changes to this bug.